Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555649 - boo: FTBFS in F28
Summary: boo: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boo
Version: 28
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:26 UTC by Fedora Release Engineering
Modified: 2019-04-03 02:02 UTC (History)
3 users (show)

Fixed In Version: boo-0.9.7.0-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 02:02:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build log of ppc64 (deleted)
2018-06-02 09:19 UTC, Timotheus Pokorra
no flags Details

Description Fedora Release Engineering 2018-03-14 19:26:05 UTC
Your package boo failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24771173

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Xose Vazquez Perez 2018-05-31 11:24:04 UTC
The rebuild of this package for fc29/rawhide is having problems: https://koji.fedoraproject.org/koji/buildinfo?buildID=1086811

Can anyone check it?

Comment 2 Till Maas 2018-06-01 15:03:27 UTC
It seems that it hangs on ppc64, I suggest to exclude that arch for now, build it and then investigate:

https://koji.fedoraproject.org/koji/taskinfo?taskID=27282253

Christian, could you please add the ExcludeArch?

Comment 3 Timotheus Pokorra 2018-06-02 09:19:12 UTC
Created attachment 1447001 [details]
build log of ppc64

Comment 4 Timotheus Pokorra 2018-06-02 09:52:06 UTC
I have now excluded ppc64, and the package has been built successfully for F28 and Rawhide.

Should I file a new bug for the ppc64 issue, or should we keep this bug open?

Comment 5 Till Maas 2018-06-03 09:05:35 UTC
(In reply to Timotheus Pokorra from comment #4)

> Should I file a new bug for the ppc64 issue, or should we keep this bug open?

A separate bug for ppc64 would be better, since the package now builds in general. Also there should be a separate tracker to track failures in PPC(64).

Comment 6 Timotheus Pokorra 2018-06-07 20:16:46 UTC
I have now filed bug 1588774.

Comment 7 Fedora Update System 2018-06-07 20:18:19 UTC
boo-0.9.7.0-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ee3353b2c9

Comment 8 Fedora Update System 2018-06-08 12:59:34 UTC
boo-0.9.7.0-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ee3353b2c9

Comment 9 Fedora Update System 2019-04-03 02:02:11 UTC
boo-0.9.7.0-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.